Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.

Bug 861094

Summary: running arandr from bash ends with traceback
Product: [Fedora] Fedora Reporter: Tomáš Kašpárek <tkasparek>
Component: arandrAssignee: Maros Zatko <mzatko>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: chrysn, ebenes, mzatko, redhatbugzilla
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-01 01:33:37 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Tomáš Kašpárek 2012-09-27 09:48:49 EDT
Description of problem:
Running arandr from bash ends with traceback, arandr not even starts.

Version-Release number of selected component (if applicable):
Fedora 17
arandr-0.1.6-1.fc17.noarch

How reproducible:
always

Steps to Reproduce:
1. $ arandr
  
Actual results:
traceback
Traceback (most recent call last):
  File "/usr/bin/arandr", line 42, in <module>
    main()
  File "/usr/lib/python2.7/site-packages/screenlayout/gui.py", line 318, in main
    force_version=options.force_version
  File "/usr/lib/python2.7/site-packages/screenlayout/gui.py", line 159, in __init__
    self.filetemplate = self.widget.load_from_x()
  File "/usr/lib/python2.7/site-packages/screenlayout/widget.py", line 93, in load_from_x
    self._xrandr.load_from_x()
  File "/usr/lib/python2.7/site-packages/screenlayout/xrandr.py", line 150, in load_from_x
    o.modes.append(Size(int(a) for a in d.strip().split(" ")[0].split("x")))
  File "/usr/lib/python2.7/site-packages/screenlayout/auxiliary.py", line 53, in __new__
    arg = tuple(arg)
  File "/usr/lib/python2.7/site-packages/screenlayout/xrandr.py", line 150, in <genexpr>
    o.modes.append(Size(int(a) for a in d.strip().split(" ")[0].split("x")))
ValueError: invalid literal for int() with base 10: '1080i'

Expected results:
arandr strats
Comment 1 Jiri Pospisil 2012-10-23 10:41:41 EDT
Hi,
I just wanted to fill this bug
Comment 2 Jiri Pospisil 2012-10-23 10:46:21 EDT
Sorry for previous comment, I started writing it and then decided to add an external tracker in Debian and Bugzilla decided to add teh incomplete comment as well.

Hi,
I just wanted to fill this bug, but found out it already exists. But here is some useful info: there is a corresponding debian bug (added as external tracker) and also an upstream bug: https://bugs.launchpad.net/arandr/+bug/873753 . It seems, that this issue was already fixed upstream in development version.
Comment 3 chrysn 2013-02-28 16:06:58 EST
this was fixed in upstream version 0.1.7, please update the package.
Comment 4 Arnout Engelen 2013-03-10 06:37:21 EDT
This is closely related to #919205 and indeed fixed upstream
Comment 5 Fedora End Of Life 2013-07-03 21:15:59 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 01:33:43 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.